#
# authors.awk, 15 Sep 18

BEGIN {
	print "year,author"
	}


$1 == "author" {
	split($0, authors, "=")
	gsub(/",$/, "", authors[2])
	gsub(/^ *"/, "", authors[2])
	# map bibtext \" to R's ""
	gsub(/\\\"/, "\"\"", authors[2])
	split(authors[2], names, " and ")
	# print names[1] " and " names[2]
	next
	}

# Some entries have a year, but no authors
$0 == "}" {
	delete(names)
	next
	}

$1 == "year" {
	split($0, year, "\"")
	if (year[2] < 1900)
	   print $0
	for (n in names)
	   print year[2] "," gensub(",", ":", "g", names[n])
	next
	}

END {
	}

