#
# yrname.R, 15 Sep 18
# Data from:
#
# Example from:
# Evidence-based Software Engineering: based on the publicly available data
# Derek M. Jones
#
# TAG paper author


source("ESEUR_config.r")


names=read.csv(paste0(ESEUR_dir, "../blog/yrname.csv"), as.is=TRUE)

names$year=as.numeric(names$year)

nrow(names)

t=sort(unique(names$author))

length(t)

t=table(names$author)
sort(t[t > 4], decreasing=TRUE)


a_occur=data.frame(table(t))

plot(a_occur, log="y", col=point_col,
	xlab="Papers", ylab="Authors\n")


